package org.ajax4jsf.bean;

import java.util.Date;

import javax.faces.event.ActionEvent;

public class ProgressBarTestBean {
	
	private boolean enabled = false;
	
	private Long value = -5L;
		
	public String getDate() {
		return String.valueOf(new Date().getTime());
	}
	
	public String getCompleteDate() {
		return String.valueOf(new Date().getTime());
	}
	
	public void reset(ActionEvent event) {
		this.value = -5L;
	}
	
	public void complete(ActionEvent event) {
		this.value = 120L;
	}

	/**
	 * @return the enabled
	 */
	public boolean isEnabled() {
		return enabled;
	}

	/**
	 * @param enabled the enabled to set
	 */
	public void setEnabled(boolean enabled) {
		this.enabled = enabled;
	}

	/**
	 * @return the value
	 */
	public Long getValue() {
		value++;
		return value;
	}

	/**
	 * @param value the value to set
	 */
	public void setValue(Long value) {
		this.value = value;
	}
	
	

}
